<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@drawable/filter_root_bg"
    android:orientation="vertical"
    android:paddingLeft="50dp"
    android:paddingRight="50dp">

    <include layout="@layout/view_titlebar" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical">

        <ScrollView
            android:layout_width="match_parent"
            android:layout_height="@dimen/y340"
            android:layout_marginTop="15dp"
            android:layout_marginBottom="10dp"
            android:background="@drawable/filter_bg"
            android:fadeScrollbars="false"
            android:paddingLeft="10px"
            android:paddingTop="10px"
            android:paddingRight="10px"
            android:paddingBottom="10px"
            android:scrollbars="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="vertical">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="8dp"
                    android:gravity="center_vertical"
                    android:orientation="horizontal"
                    android:paddingVertical="2dp"
                    android:paddingLeft="40dp"
                    android:paddingRight="20dp">

                    <TextView
                        android:id="@+id/classsubjects"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/system"
                        android:textColor="@color/textview_filter_uncheck"
                        android:textSize="14sp" />

                    <com.beanpodtech.allinone.widget.flowlayout.TagFlowLayout
                        android:id="@+id/tfl_level"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="10dp"
                        app:max_select="1" />

                </LinearLayout>


                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="8dp"
                    android:gravity="center_vertical"
                    android:orientation="horizontal"
                    android:paddingVertical="2dp"
                    android:paddingLeft="40dp"
                    android:paddingRight="20dp">

                    <TextView
                        android:id="@+id/subjects"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/Subject"
                        android:textColor="@color/textview_filter_uncheck"
                        android:textSize="14sp" />

                    <com.beanpodtech.allinone.widget.flowlayout.TagFlowLayout
                        android:id="@+id/tfl_type"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="10dp"
                        app:max_select="1" />

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="8dp"
                    android:gravity="center_vertical"
                    android:orientation="horizontal"
                    android:paddingVertical="2dp"
                    android:paddingLeft="40dp"
                    android:paddingRight="20dp">

                    <TextView
                        android:id="@+id/Classification"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/Classification"
                        android:textColor="@color/textview_filter_uncheck"
                        android:textSize="14sp" />

                    <com.beanpodtech.allinone.widget.flowlayout.TagFlowLayout
                        android:id="@+id/tfl_subject"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="10dp"
                        app:max_select="1" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="8dp"
                    android:gravity="center_vertical"
                    android:orientation="horizontal"
                    android:paddingVertical="2dp"
                    android:paddingLeft="40dp"
                    android:paddingRight="20dp">

                    <TextView
                        android:id="@+id/Teacher"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/Outline"
                        android:textColor="@color/textview_filter_uncheck"
                        android:textSize="14sp" />

                    <com.beanpodtech.allinone.widget.flowlayout.TagFlowLayout
                        android:id="@+id/tfl_teacher"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="10dp"
                        app:max_select="1" />

                </LinearLayout>


                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="8dp"
                    android:gravity="center_vertical"
                    android:orientation="horizontal"
                    android:paddingVertical="2dp"
                    android:paddingLeft="40dp"
                    android:paddingRight="20dp">

                    <TextView
                        android:id="@+id/Outline"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/Teacher"
                        android:textColor="@color/textview_filter_uncheck"
                        android:textSize="14sp" />

                    <com.beanpodtech.allinone.widget.flowlayout.TagFlowLayout
                        android:id="@+id/tfl_outline"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="10dp"
                        app:max_select="1" />
                </LinearLayout>

<!--                <com.beanpodtech.allinone.widget.flowlayout.TagFlowLayout-->
<!--                    android:id="@+id/tfl_outlineclass"-->
<!--                    android:layout_width="match_parent"-->
<!--                    android:layout_height="wrap_content"-->
<!--                    android:layout_marginTop="8dp"-->
<!--                    android:visibility="gone"-->
<!--                    app:max_select="1" />-->


            </LinearLayout>
        </ScrollView>

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/id_recyclerview"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginRight="-20px"
            android:dividerHeight="10dp" />
        <!--    app:fastScrollEnabled="true"
            app:fastScrollHorizontalThumbDrawable="@drawable/thumb_drawable"
            app:fastScrollHorizontalTrackDrawable="@drawable/line_drawable"
            app:fastScrollVerticalThumbDrawable="@drawable/thumb_drawable"
            app:fastScrollVerticalTrackDrawable="@drawable/line_drawable"-->

    </LinearLayout>
</LinearLayout>